Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kr.ac.kaist.swrc.jhannanum.plugin.MajorPlugin.PosTagger.HmmPosTagger
Class ProbabilityDBM

    java.lang.Object
      kr.ac.kaist.swrc.jhannanum.plugin.MajorPlugin.PosTagger.HmmPosTagger.ProbabilityDBM

    public class ProbabilityDBM

extends java.lang.Object

This class is for statistic data which is important to the Hidden Markov Model.

Author:
  Sangwon Park (hudoni@world.kaist.ac.kr), CILab, SWRC, KAIST

Field Summary
`private java.util.Hashtable<java.lang.String,double[]>` | `table` hash table

Constructor Summary
`ProbabilityDBM(java.lang.String fileName)` Constructor.

Method Summary
`void` | `clear()` Cleans the hash table.
`double[]` | `get(java.lang.String key)` Gets the probability data to which specified key mapped.
`private void` | `init(java.lang.String fileName)` It loads the probability data from the specified file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### table

    private java.util.Hashtable<java.lang.String,double[]> table

  hash table

Constructor Detail

### ProbabilityDBM

    public ProbabilityDBM(java.lang.String fileName)
                   throws java.io.IOException

  Constructor.

  Parameters:
    `fileName` - - the name of the file which has statistic data
  Throws:
    `java.io.IOException`

Method Detail

### clear

    public void clear()

  Cleans the hash table.

### get

    public double[] get(java.lang.String key)

  Gets the probability data to which specified key mapped.

  Parameters:
    `key` - - the key of probability data
  Returns:
    the probability data to which specified key mapped

### init

    private void init(java.lang.String fileName)
               throws java.io.IOException

  It loads the probability data from the specified file.

  Parameters:
    `fileName` - - the path of the file which has the probability data
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD